<?php

defined('_JEXEC') or die;

require_once JPATH_COMPONENT_ADMINISTRATOR . '/installer/product.php';

/**
 * Class CInstallerViewInstall
 *
 * @since  1.0.0
 */
class CInstallerViewInstall extends JViewLegacy
{
	/**
	 * Display the view
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public function display($tpl = null)
	{
		$input = JFactory::getApplication()->input;

		$product = $input->getString('product', null);

		/** @var CInstallerModelInstall $model */
		$model = $this->getModel();

		/** @var CProduct product */
		$this->product = $model->getProduct($product);

		parent::display($tpl);
	}
}
