<?php

defined('_JEXEC') or die;

/**
 * Class CInstallerHelperBasic
 *
 * @since  1.0.0
 */
class CInstallerHelperBasic
{
	/**
	 * Get the icon / image for the product
	 *
	 * @param   CProductInterface  $product  The product
	 *
	 * @return  string  HTML for the icon
	 *
	 * @since   __DEPLOY_VERSION__
	 */
	public static function getIcon($product)
	{
		$iconType  = (0 === strpos($product->getIcon(), 'media')) ? 'image' : 'fa';

		if ($iconType == 'fa')
		{
			return '<i class="' . $product->getIcon() . '"></i>';
		}

		return '<img src="' . JUri::root() . $product->getIcon() . '">';
	}
}
