<?php

defined('_JEXEC') or die;

CompojoomHtmlBehavior::bootstrap();

JHTML::_('stylesheet', 'media/com_cinstaller/css/install.css');

/** @var CProductInterface[] $products */
$products = $this->products;

JHtml::_('stylesheet', 'media/lib_compojoom/third/font-awesome/css/font-awesome.min.css');
?>

<div id="cinstaller" class="compojoom-bootstrap">

	<div class="container">

		<div id="extension-select">

			<h3 class="margin-bottom-30"><?php echo JText::_('COM_CINSTALLER_SELECT_THE_EXTENSION_TO_INSTALL'); ?></h3>

			<div id="top-products" class="margin-bottom-30">
				<div class="row text-center">
					<?php foreach ($products as $product) : ?>
						<?php
						if (!$product->isTopProduct())
						{
							continue;
						}

						$paid = $product->needsDownloadId() ? '*' : '';
						?>

						<div class="col-sm-4">
							<a href="index.php?option=com_cinstaller&view=install&product=<?php echo $product->identifier; ?>">
								<div class="product">
									<div class="product-icon">
										<?php echo CInstallerHelperBasic::getIcon($product); ?>
									</div>

									<h3>
										<?php echo $product->getExtensionName(); ?>
										<?php echo $paid; ?>
									</h3>
								</div>
							</a>
						</div>

					<?php endforeach; ?>
				</div>
			</div>
			<div id="products" class="margin-bottom-17">
				<div class="row text-center">
					<?php foreach ($products as $product) : ?>
						<?php
						if ($product->isTopProduct())
						{
							continue;
						}
						?>

						<div class="col-sm-3">
							<a href="index.php?option=com_cinstaller&view=install&product=<?php echo $product->identifier; ?>">
								<div class="product">
									<div class="product-icon">
										<?php echo CInstallerHelperBasic::getIcon($product); ?>
									</div>

									<h4><?php echo $product->getExtensionName(); ?></h4>
								</div>
							</a>
						</div>

					<?php endforeach; ?>
				</div>
			</div>

			<div id="product-legend">
				* <?php echo JText::_('COM_CINSTALLER_REQUIRES_A_VALID_SUBSCRIPTION_AND_A_DOMAIN_KEY'); ?>
			</div>
		</div>

	</div>
</div>